package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;


/**
 * 多订单排单校验 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class BoxCheckOrdersSchedulingEvent {


    /**
     * 订单ids
     */
    private List<Long> orderIds;

    /**
     * 排单中的订单ids
     */
    private List<Long> schedulingOrderIds;

}
