package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
public class OrderAssociationOfferCostEvent {

    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 运费
     */
    private BigDecimal freight;

    /**
     * 运费货币
     */
    private Integer freightCurrencyId;
    /**
     * 清关费
     */
    private BigDecimal clearance;

    /**
     * 清关费货币
     */
    private Integer clearanceCurrencyId;

    /**
     * 是否存在关联报价单
     */
    private boolean isAssociationOffer;
}
