package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;

/**
 * 订单优惠更新参数 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class OrderCouponUpdateEvent {

    /**
     * 优惠标题-中文
     */
    private String titleZh;
    /**
     * 优惠标题-英文
     */
    private String titleEn;
    /**
     * 开始时间
     */
    private Date startTime;


}
