package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.Data;

/**
 * 最新编号记录 Event
 *
 * @author zhengYi
 */
@Data
public class OrderNumberLogEvent {

    /**
     * 主键
     */
    private Long id;
    /**
     * 编号key值
     */
    private String numberKey;
    /**
     * 原编号
     */
    private String number;
    /**
     * 类型：详情请查看枚举 {@link OrderNumberEnum }
     */
    private Integer type;

    /**
     * 行号
     */
    private Integer version;


    /**
     * 最新编号
     */
    private String newNumber;
}
