package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.Data;


/**
 * 校验订单目的仓库是否一致 Event
 *
 * @author zhengYi
 */
@Data
public class BoxCheckOrderDestWarehouseEvent {


    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 返回的自编号目的仓id
     */
    private Long boxDestWarehouseIdReturn;

    /**
     * 返回的订单目的仓id
     */
    private Long orderDestWarehouseIdReturn;

    /**
     * 是否相同目的仓库
     */
    private Boolean isSameDestWarehouseReturn = false;


    public BoxCheckOrderDestWarehouseEvent(Long orderId) {
        this.orderId = orderId;
    }
}
