package cn.iocoder.yudao.framework.apollo.core.event;

import cn.iocoder.yudao.framework.apollo.core.vo.ApplyInfoVO;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * 订单操作日志参数 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class OrderOperateLogEvent {

    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 类型 订单操作、入仓操作等(直接字符串类型说明)
     */
    private String type;
    /**
     * 描述
     */
    private String msg;

    /**
     * 备注
     */
    private List<ApplyInfoVO> applyInfoVOList;


}
